/****************************************************************************
*Trapped for TI-Nspire
*Copyright (C) 2010 Danny Clark
*		Contact <apcalc89titanium@aol.com>
*Header file part of "Block Dude 2:  Trapped"
 ****************************************************************************/


#ifndef _UTILS_H_
#define _UTILS_H_

extern inline void clearScreen();
extern inline void refresh(char* buf);
extern inline void clearBuf(char* buf);
extern void showSimpleDialogBox(const char* title, const char* msg);
extern inline void setPixelBuf(char* buf, int x, int y, int color);
extern void sprite(char* scrbuf, char* sprite, int x, int y, int w, int h);
extern void convsprite(char* sprite, char* result, int w, int h);
extern void slowdown(unsigned long int loops);
int setlevel(int level, int x, int y); 
int setladder(int level,int x,int y);
int setlevelinfo(int level, int x);
int drawlevel(char cl[25][40],char ladders[25][40], char levelinfo[4]);
void mask(char* scrbuf, char* sprite, int x, int y, int w, int h);
inline void set_led(int color);

#endif
